Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-8194955

Warn when default HTML version is used

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: P3
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 11
    • Component/s: tools
    • Labels:
      None

      Backports

        Description

        It is planned to change the default version of HTML used in the standard doclet from HTML 4 to HTML5 in an upcoming release.

        This will impact users who are assuming the default is for HTML 4 and who have doc comments using HTML 4 constructs.

        We should warn users that they should either ensure their doc comments are compatible with HTML 5, or they should explicitly specify the use of HTML 4 or HTML5 with the -html4 or -html5 option.

          Attachments

            Issue Links

              Activity

                People

                Assignee:
                jjg Jonathan Gibbons
                Reporter:
                jjg Jonathan Gibbons
                Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                  Dates

                  Created:
                  Updated:
                  Resolved: